﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace Chop.Game.Catalogue
{
    public class CatalogueProduct
    {

        public int mID;
        public string mName;
        public string mDescription;
        public int mPageID;
        public int mTemplateID;
        public int mCost;

        //Deal part
        public bool mDeal;

        public static CatalogueProduct Parse(DataRow row)
        {
            CatalogueProduct item = new CatalogueProduct
                                        {
                                            mID = Convert.ToInt32(row["id"]),
                                            mName = row["name"].ToString(),
                                            mDescription = row["description"].ToString(),
                                            mPageID = Convert.ToInt32(row["pageid"]),
                                            mTemplateID = Convert.ToInt32(row["templateid"]),
                                            mCost = Convert.ToInt32(row["cost"]),
                                            mDeal = row["deal"].ToString() == "1"
                                        };


            return item;
        }
        //public string ToFuseString()
        //{
        //    ResponseBuilder fBuilder = new ResponseBuilder();
        //    ItemTemplate template = Core.CatalogueManager.GetItem(mTemplateID);

        //    fBuilder.Append("p:");
        //    fBuilder.AppendString(mName, 9);
        //    fBuilder.AppendString(mDescription, 9);
        //    fBuilder.AppendString(mCost, 9);
        //    fBuilder.AppendChar(9);

        //    if (mDeal)
        //    {
        //        List<CatalogueDeal> deals = Core.CatalogueManager.GetDeals(mID);

        //        fBuilder.AppendString("d", 9);
        //        fBuilder.AppendChar(9);
        //        fBuilder.AppendChar(9);
        //        fBuilder.AppendChar(9);

        //        fBuilder.AppendString(template.Sprite, 9); // deal1,deal2 etc
        //        fBuilder.AppendChar(9);
        //        fBuilder.AppendString(deals.Count, 9);

        //        foreach (CatalogueDeal deal in deals)
        //        {
        //            fBuilder.Append(deal.ToFuseString());
        //        }
        //    }
        //    else
        //    {
        //        if (template.TypeID > 0) // Flooritem
        //        {
        //            fBuilder.AppendString("s", 9);
        //            fBuilder.AppendString(template.Sprite, 9);
        //            fBuilder.AppendString("0", 9);

        //            fBuilder.Append(template.Length);
        //            fBuilder.Append(",");
        //            fBuilder.AppendString(template.Width, 9);

        //            fBuilder.AppendString(template.Sprite, 9);
        //            fBuilder.AppendString(template.Colour, 13);
        //        }
        //        else
        //        {
        //            fBuilder.AppendString("i", 9);
        //            fBuilder.AppendString(template.Sprite, 9);

        //            fBuilder.AppendChar(9);
        //            fBuilder.AppendChar(9);

        //            fBuilder.AppendString(template.Sprite, 9);
        //            fBuilder.AppendChar(13);
        //        }
        //    }
        //    return fBuilder.ToString();
        //}
    }
}