﻿using Chop;
using Chop.Game.Messages;

namespace Game.Messages.Incoming.Handshake
{
    class InitCryptoMessageHandler : IMessageHandler
    {
        public void Handle(GameClient client, RequestParser parser)
        {
            //client.Response.Init(277); // InitCryptoMessageEvent
            //client.Response.AppendString("sad9ascbn13f83d"); // token
            //client.Response.AppendBoolean(true); // isServerEncrypted
            //client.Response.AppendBoolean(false); // isClientEncrypted (not implemented in client)
            //client.SendResponse();

            client.Response.Init(257); // SessionParamsMessageEvent
            client.Response.AppendInt32(9); // pair count

            client.Response.AppendInt32(0);
            client.Response.AppendBoolean(false); // coppa

            client.Response.AppendInt32(1); // voucher
            client.Response.AppendBoolean(true);

            client.Response.AppendInt32(2); // parentEmailRequired
            client.Response.AppendBoolean(false);

            client.Response.AppendInt32(3); // parentEmailRequiredInReRegistration
            client.Response.AppendBoolean(false);

            client.Response.AppendInt32(4); // allowDirectEmail
            client.Response.AppendBoolean(true);

            // All below are useless, client never uses them

            client.Response.AppendInt32(5); // date
            client.Response.AppendString("dd-MM-yyyy");

            //client.Response.AppendInt32(6); // confPartnerIntegration
            //client.Response.AppendString("dd-MM-yyyy");

            client.Response.AppendInt32(7); // allowProfileEditing
            client.Response.AppendBoolean(false);

            client.Response.AppendInt32(8); // tracking_header
            client.Response.AppendString("/client");

            client.Response.AppendInt32(9); // tutorialEnabled
            client.Response.AppendBoolean(false);

            client.SendResponse();
        }
    }
}
