﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Chop.Database;

namespace Chop
{
    public class HabboManager
    {
        public bool HabboExists(string name)
        {
            using (DatabaseClient dbClient = Core.DatabaseManager.GetClient())
            {
                dbClient.AddParamWithValue("name", name);
                return dbClient.Exists("SELECT id FROM habbos WHERE name = @name");
            }
        }
        public bool HabboExists(uint id)
        {
            using (DatabaseClient dbClient = Core.DatabaseManager.GetClient())
            {
                dbClient.AddParamWithValue("id", id);
                return dbClient.Exists("SELECT id FROM habbos WHERE id = @id");
            }
        }
        public string GetName(uint id)
        {
            using (DatabaseClient dbClient = Core.DatabaseManager.GetClient())
            {
                dbClient.AddParamWithValue("id", id);
                return dbClient.ReadString("SELECT name FROM habbos WHERE id = @id");
            }
        }
        public uint GetID(string pName)
        {
            using (DatabaseClient dbClient = Core.DatabaseManager.GetClient())
            {
                dbClient.AddParamWithValue("name", pName);
                return dbClient.ReadUInt32("SELECT id FROM habbos WHERE name = @name");
            }
        }
    }
}
