﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace Chop.Game.Misc
{
    public class Voucher
    {
        public string mCode;
        public int mReward;
        public bool mOnWebsiteOnly;

        public static Voucher Parse(DataRow row)
        {
            Voucher sVoucher = new Voucher
                                   {
                                       mCode = row["code"].ToString(),
                                       mReward = Convert.ToInt32(row["reward"]),
                                       mOnWebsiteOnly = Helper.ConvertToBool(row["onlyweb"])
                                   };


            return sVoucher;
        }
    }
}
