﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chop.Game.Moderation
{
    public class CryForHelp
    {
        public int ID;
        public string Username;
        public string IP;
        public DateTime Sent;
        public DateTime Picked;

        public string Message;
        public int RoomID;
        public string RoomName;

        public bool PickedUp;

        public CryForHelp(int mID, string mUsername, string mIP, string mMessage, int mRoomID, string mRoomName)
        {
            ID = mID;
            Username = mUsername;
            IP = mIP;
            Sent = DateTime.Now;
            Message = mMessage;
            RoomID = mRoomID;
            RoomName = mRoomName;
        }

        public string ToFuseString()
        {
            var fBuilder = new ResponseBuilder();
            
            fBuilder.AppendWired(ID);
            fBuilder.AppendChar(2);
            fBuilder.AppendWiredBoolean(true); // Manual
            fBuilder.Append("Sent: "); // TODO: Configureable in database?
            fBuilder.AppendString(Sent);
            fBuilder.AppendString(Username);
            fBuilder.AppendString(Message);
            fBuilder.AppendWired(RoomID);
            fBuilder.AppendChar(2);
            fBuilder.AppendString(RoomName);
            fBuilder.AppendWired(1);
            fBuilder.AppendChar(2);
            //fBuilder.AppendString(RoomName);
            //fBuilder.AppendWiredBoolean(true); // Show roomID
            //fBuilder.AppendChar(2);
            fBuilder.AppendWired(RoomID);

            return fBuilder.ToString();
        }
    }
}
