﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace Chop.Game.Rooms
{
    public class RoomTrigger
    {
        public string mName;
        public string mModelName;
        public byte mX;
        public byte mY;

        public static RoomTrigger Parse(DataRow row)
        {
            RoomTrigger trigger = new RoomTrigger
                                      {
                                          mName = row["name"].ToString(),
                                          mModelName = row["model"].ToString(),
                                          mX = Convert.ToByte(row["x"]),
                                          mY = Convert.ToByte(row["y"])
                                      };


            return trigger;
        }
    }
}
